services:
  paperless-ngx_webserver_1:
    container_name: paperless-ngx_webserver_1
    entrypoint:
    - /init
    environment:
      GPG_KEY: '***SENSITIVE_VALUE*** (7169...)'
      LANG: C.UTF-8
      PAPERLESS_ADMIN_PASSWORD: '***SENSITIVE_VALUE*** (your...)'
      PAPERLESS_ADMIN_USER: admin
      PAPERLESS_CONSUMER_POLLING: '300'
      PAPERLESS_CONSUMER_RECURSIVE: 'true'
      PAPERLESS_CONSUMER_SUBDIRS_AS_TAGS: 'true'
      PAPERLESS_CONSUME_DIR: /usr/src/paperless/consume
      PAPERLESS_DISABLE_PERMISSIONS: 'true'
      PAPERLESS_OCR_LANGUAGE: eng
      PAPERLESS_REDIS: redis://broker:6379
      PAPERLESS_TIME_ZONE: America/New_York
      PAPERLESS_URL: http://localhost:8000
      PATH: /command:/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PNGX_CONTAINERIZED: '1'
      PYTHONDONTWRITEBYTECODE: '1'
      PYTHONUNBUFFERED: '1'
      PYTHONWARNINGS: ignore:::django.http.response:517
      PYTHON_SHA256: c30bb24b7f1e9a19b11b55a546434f74e739bb4c271a3e3a80ff4380d49f7adb
      PYTHON_VERSION: 3.12.11
      S6_BEHAVIOUR_IF_STAGE2_FAILS: '2'
      S6_CMD_WAIT_FOR_SERVICES_MAXTIME: '0'
      S6_VERBOSITY: '1'
      UV_CACHE_DIR: /cache/uv/
      UV_LINK_MODE: copy
      UV_TOOL_BIN_DIR: /usr/local/bin
    image: ghcr.io/paperless-ngx/paperless-ngx:latest
    networks:
    - paperless
    ports:
    - 8001:8000/tcp
    restart: unless-stopped
    volumes:
    - /mnt/pdfs/media:/usr/src/paperless/media:rw
    - /mnt/pdfs/export:/usr/src/paperless/export:rw
    - /home/jonathan/paperless-ngx/data:/usr/src/paperless/data:rw
    - /mnt/pdfs/consume:/usr/src/paperless/consume:rw
    working_dir: /usr/src/paperless/src/
